Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class StylesheetSpec

    java.lang.Object
      |
      +--org.xml.sax.InputSource
            |
            +--weblogic.apache.xalan.xslt.XSLTInputSource
                  |
                  +--weblogic.apache.xalan.xslt.StylesheetSpec

public class StylesheetSpec
extends XSLTInputSource

This class implements the representation of a stylesheet specification via xml-stylesheet in an XML document.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`StylesheetSpec(java.lang.String href, java.lang.String type, java.lang.String title, java.lang.String media, boolean alternate, java.lang.String encoding)` Create a StylesheetSpec object.

Method Summary
`boolean` | `getIsAlternate()` Get whether or not the stylesheet is specified as an alternate.
`java.lang.String` | `getMedia()` Get the media attribute of the stylesheet.
`java.lang.String` | `getTitle()` Get the title of the element (in other words, the item to be presented to the user agent).
`java.lang.String` | `getType()` Get the type of the stylesheet, i.e.

Methods inherited from class weblogic.apache.xalan.xslt.XSLTInputSource
`getNode, setNode`

Methods inherited from class org.xml.sax.InputSource
`getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetSpec

    public StylesheetSpec(java.lang.String href,
                          java.lang.String type,
                          java.lang.String title,
                          java.lang.String media,
                          boolean alternate,
                          java.lang.String encoding)

  Create a StylesheetSpec object.

Method Detail

### getType

    public java.lang.String getType()

  Get the type of the stylesheet, i.e. "text/xsl".

### getTitle

    public java.lang.String getTitle()

  Get the title of the element (in other words, the item to be presented to the user agent).

### getMedia

    public java.lang.String getMedia()

  Get the media attribute of the stylesheet.

### getIsAlternate

    public boolean getIsAlternate()

  Get whether or not the stylesheet is specified as an alternate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD